moMoveSelect(3)

NAME
moMoveSelect - Class that describes a move selector (moMove).

SYNOPSIS

#include <moMoveSelect.h>

Inherits eoBF< M &, M::EOType::Fitness &, void >.

Inherited by moBestImprSelect< M >, moFirstImprSelect< M >, and moRandImprSelect< M >.

  Public Types
typedef M::EOType::Fitness Fitness
Alias for the fitness.

  Public Member Functions
virtual void init (const Fitness &__fit)=0
Procedure which initialises all that the move selector needs including the initial fitness.
virtual bool update (const M &__move, const Fitness &__fit)=0
Function which updates the best solutions.

Detailed Description

  template<class M> class moMoveSelect< M >
Class that describes a move selector (moMove). It iteratively considers some moves (moMove) and their associated fitnesses. The best move is so regularly updated. At any time, it could be accessed.

Definition at line 32 of file moMoveSelect.h.

Member Function Documentation

  template<class M> virtual void moMoveSelect< M >::init (const Fitness & __fit) [pure virtual]

Procedure which initialises all that the move selector needs including the initial fitness.

In order to know the fitness of the solution, for which the neighborhood will be soon explored

Parameters:
    __fit the current fitness.

Implemented in moBestImprSelect< M >, moFirstImprSelect< M >, and moRandImprSelect< M >.

  template<class M> virtual bool moMoveSelect< M >::update (const M & __move, const Fitness & __fit) [pure virtual]

Function which updates the best solutions.

Parameters:
    __move a new move.
    __fit a fitness linked to the new move.

Returns:
    a boolean that expresses the need to resume the exploration.

Implemented in moBestImprSelect< M >, and moRandImprSelect< M >.

Author

Generated automatically by Doxygen for PARADISEO-MO from the source code.